Bug 668889

Summary: [abrt] fedpkg-0.5.1.4-1.fc13: __init__.py:1718:_callMethod:ServerOffline: database outage
Product: [Fedora] Fedora Reporter: Jesse Keating <jkeating>
Component: fedora-packagerAssignee: David Cantrell <dcantrell>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: dcantrell, dennis, dwayne, pbrobinson, rjones
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: abrt_hash:aba3d935
Fixed In Version: fedora-packager-0.5.5.0-2.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 634946 Environment:
Last Closed: 2011-02-08 22:56:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 634946    
Bug Blocks:    

Description Jesse Keating 2011-01-11 22:53:45 UTC
--- Additional comment from rjones@redhat.com on 2011-01-11 17:18:27 EST ---

Package: fedpkg-0.5.1.4-5.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. fedpkg build
2. database crashed / outage
3.

--- Additional comment from rjones@redhat.com on 2011-01-11 17:20:26 EST ---

__init__.py:1718:_callMethod:ServerOffline: database outage

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1086, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 335, in build
    return _watch_koji_tasks(mymodule.kojisession, [task_id], quiet=args.q)
  File "/usr/bin/fedpkg", line 201, in _watch_koji_tasks
    changed = task.update()
  File "/usr/bin/fedpkg", line 88, in update
    self.info = self.session.getTaskInfo(self.id, request=True)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1468, in __call__
    return self.__func(self.__name,args,opts)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 1718, in _callMethod
    raise err
ServerOffline: database outage

Local variables in innermost frame:
args: (2715998, {'__starstar': True, 'request': True})
name: 'getTaskInfo'
err: ServerOffline('database outage',)
url: 'https://koji.fedoraproject.org/kojihub?session-id=4489827&session-key=458-kHtYl9AMk1hZakwogn5&callnum=222'
fault: <Fault 1014: 'database outage'>
self: <koji.ClientSession object at 0x150c090>
interval: 20
tries: 1
max_retries: 30
proxy: <ServerProxy for koji.fedoraproject.org/kojihub?session-id=4489827&session-key=458-kHtYl9AMk1hZakwogn5&callnum=222>
kwargs: {'request': True}
debug: False
sinfo: {'session-id': 4489827, 'session-key': '458-kHtYl9AMk1hZakwogn5', 'callnum': 222}

--- Additional comment from jkeating@redhat.com on 2011-01-11 17:51:52 EST ---

Ugh, that's cute abrt.  That traceback is different.  Time to clone...

Comment 1 Jesse Keating 2011-01-11 22:55:22 UTC
Just need to except that error too.

Comment 2 Jesse Keating 2011-01-21 22:01:21 UTC
Ok, I added that error to the list of things to catch.  I'll push upstream and it'll be in the next build.

Comment 3 Fedora Update System 2011-01-31 20:36:26 UTC
fedora-packager-0.5.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc14

Comment 4 Fedora Update System 2011-01-31 21:02:04 UTC
fedora-packager-0.5.3.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc13

Comment 5 Fedora Update System 2011-01-31 21:28:22 UTC
fedora-packager-0.5.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el6

Comment 6 Fedora Update System 2011-01-31 22:49:06 UTC
fedora-packager-0.5.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 7 Fedora Update System 2011-02-01 17:07:05 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 8 Fedora Update System 2011-02-08 22:55:28 UTC
fedora-packager-0.5.3.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-09 17:25:57 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-02-09 20:18:00 UTC
fedora-packager-0.5.3.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-10 22:41:22 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 12 Fedora Update System 2011-02-21 22:54:25 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 13 Fedora Update System 2011-02-28 23:57:53 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.